---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration, Administration & Integrations/Product-Specific Integrations, Payroll, Payroll/Cloud Connect for Third Party Payroll, Payroll/Global Payroll Connect]
keyword: [Notifications, Inbound Notifications, GPC, Global Payroll Connect]
nav: wcp_docs
parent_url: /wcp_docs/
title: Notifications REST API
layout: subsection
---

## Overview

To use the Global Payroll Notifications synchronous REST API:

1.  Work with a payroll vendor to configure Inbound Notifications in Workday. See [Steps: Set Up Inbound Notifications](/wcp_docs/GUID-0e6fe3b1-37b3-4bfe-91ed-40c42ec14943.html).
2.  The third-party payroll vendor calls the Notifications REST API.
3.  The Workday user recipients receive the Workday notification.


For reference documentation about the `globalPayroll` REST APIs, see `globalPayroll/notifications` in the [REST API Explorer on the Developer Site](https://developer.workday.com/rest-api-explorer) or [Workday REST Services Directory](https://community.workday.com/sites/default/files/file-hosting/restapi/index.html).

## <a id="section_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/globalPayroll/<version>/<tenant>/notifications
```

Example:

```
https://yourTenantHostName.com/api/globalPayroll/v1/gms/notifications
```

## Workday Tasks

If you send Additional Payroll Data in the `featureConfiguration` request parameters, depending on the the recipients’ role, they will receive either an:

-   Employee self-service (ESS) task <b>My Additional Payroll Data</b>
-   Administrator task <b>Additional Payroll Data</b>.


## Security Considerations

The integration system user must have Modify access to the <i>Manage: Global Payroll Inbound Notifications</i> domain in the Global Payroll Connect functional area to make the REST API request.

## Prerequisites

See [Steps: Set Up Inbound Notifications](/wcp_docs/GUID-0e6fe3b1-37b3-4bfe-91ed-40c42ec14943.html).

## Generating Inbound Notifications

`POST /notifications`

Generate custom notifications to specific workers or organization recipients within Workday from third-party payroll systems, such as notifying individual workers or organization worker recipients that external payroll documents have been uploaded in Workday.

The recipient section requires either of these 2 options:

-   `workerRecipients`
-   `organizationRecipients`


If you want to send a notification to both, send 2 POST notifications for workers and organization.

The message body of the notification (`message.body`) is expected in English. If you want to provide a translation for the body message, use the `translations` section and provide the `user_language_ID`. Use the <i>Get References</i> web service to get references for the different supported language IDs. For more information:

-   Go to <b>Integrations</b> > <b>Get_References</b> in the [Workday Web Services (WWS) Directory](https://community.workday.com/sites/default/files/file-hosting/productionapi/index.html).
-   See [Get Reference](/wcp_docs/GUID-2f12315b-53a1-40c2-a453-af29fd138455.html).


<b>Sample POST Text Notification to Direct Worker Recipients</b>

```
{
"recipient": {
"workerRecipients": [{"id": "Employee_ID=21008"}]
},
"message":{
"title":"Welcome to the External Payroll Vendor!",
"body": "We look forward to processing your Payroll",
"link": "https://testvendor.com/welcome",
"translations": [{
"title": "¡Bienvenido al Proveedor Externo de Nómina!",
"body": "Esperamos poder procesar su nómina",
"languages": [{"id": "User_Language_ID=fr_fr"}]
}]
}
}
```

<b>Sample POST Text Notification to Org Recipients</b>

```
{
"recipient": {
"organizationRecipients":[
{"organization":
{"id": "Organization_Reference_ID=PAY_GROUP-4-15"},
"roles": [
{"id": "Organization_Role_ID=Payroll_Interface_Partner"}
]
}]
},
"message":{
"title":"Welcome to the External Payroll Vendor!",
"body": "We look forward to processing your Payroll",
"link": "https://testvendor.com/welcome",
"translations": [{
"title": "¡Bienvenido al Proveedor Externo de Nómina!",
"body": "Esperamos poder procesar su nómina",
"languages": [{"id": "User_Language_ID=fr_fr"}]
}]
}
}
```

<b>Sample POST Notification with Additional Payroll Data Task for ESS (Employee Self-Service)</b>

```
{
"featureConfiguration": {
"feature":
{"id": "Feature_ID=Additional_Payroll_Data"},
"properties": [
{"id": "ActedOnUser", "value": "Employee_ID=27559"},
{"id": "payGroup", "value": "Organization_Reference_ID=PAY_GROUP-16-194"}
]
},
"recipient": {
"workerRecipients": [{"id": "Employee_ID=27559"}]
},
"message":{
"title":"Your Country specific forms are ready!",
"body": "Please complete Additional Payroll Data for the United States.",
"translations": [{
"title": "Notification de test",
"body": "C'est juste un test!",
"languages": [{"id": "User_Language_ID=fr_FR"}, {"id": "User_Language_ID=fr_CA"}]
},
{
"title": "Notificación de prueba",
"body": "¡Esto es solo una prueba!",
"languages": [{"id": "User_Language_ID=es"}]
}]
}
}
```

<b>Sample POST Notification with Additional Payroll Data Task for Administrator</b>

```
{
"featureConfiguration": {
"feature":
{"id": "Feature_ID=Additional_Payroll_Data"},
"properties": [
{"id": "ActedOnUser", "value": "Employee_ID=27559"},
{"id": "payGroup", "value": "Organization_Reference_ID=PAY_GROUP-16-194"}
]
},
"recipient": {
"workerRecipients": [{"id": "Employee_ID=21008"}]
},
"message":{
"title":"Country specific forms are ready for Employee 27559!",
"body": "Please complete Additional Payroll Data for the United States on behalf of the worker.",
"translations": [{
"title": "Notification de test",
"body": "C'est juste un test!",
"languages": [{"id": "User_Language_ID=fr_FR"}, {"id": "User_Language_ID=fr_CA"}]
},
{
"title": "Notificación de prueba",
"body": "¡Esto es solo una prueba!",
"languages": [{"id": "User_Language_ID=es"}]
}]
}
}
```

## Limitations

You can’t directly delete notifications or mark them as complete. However, you can mark notifications on the notifications page as read and use the filter to exclude them from view. Example: If you send a notification to multiple admins and 1 admin completes the task, the notification still displays for all the admins.

### Related Information

[2024R2 Feature Release Note: Global Payroll Connect Inbound Notifications REST API](https://doc.workday.com/release-notes/en-us/payexternal/7267662.html)

[2024R2 Feature Release Note: Additional Payroll Data](https://doc.workday.com/release-notes/en-us/payexternal/8021442.html)

